Subject: Secdir last call review of draft-campbell-sip-messaging-smime-03

From: Liang Xia <[email-masked]>
Date: Mon, 08 Oct 2018 01:02:50 -0700

Reviewer: Liang Xia
Review result: Ready

In general, this draft is clear and well written.

I have 2 comments as below:
1. For Section 6, is it required to protect the UA capabilities negotiation
messages? Have you considered the possible downgrade attack, like: the
adversary tampered the UA capabilities negotiation message to make the UA work
without s/mime?

2. For Section 12, is there any general way to defend against the attacks from
malicious or compromised intermediaries mentioned in this section? Maybe some
guidances are helpful here.